# \hhu\z\controllersTextmailController

Controller of the TextmailAgent for generating a simple text-mail message.

## Summary

Methods
Properties
Constants
load()
factory()
preFilter()
postFilter()
run()
render()
index()
No public properties found
No constants found
__construct()
set()
redirect()
checkModels()
getView()
loadModels()
loadView()
$agent
$view
$viewData
$request
$response
N/A
getClassName()
loadComponents()
No private properties found
N/A

File
  controllers/TextmailController.inc
Package
  Default
Class hierarchy
  \nre\core\Controller
  \hhu\z\controllers\TextmailController

## Tags

author | Oliver Hanraths oliver.hanraths@uni-duesseldorf.de

## Properties

### $agent

    $agent : \nre\core\Agent

Corresponding Agent

#### Type

\nre\core\Agent

#

Inherited from
  \nre\core\Controller

## Tags

None found

### $view

    $view : \nre\core\View

View of the Controller

#### Type

\nre\core\View

#

Inherited from
  \nre\core\Controller

## Tags

None found

### $viewData

    $viewData : array

Data to pass to the View

#### Type

array

#

Inherited from
  \nre\core\Controller

## Tags

None found

### $request

    $request : \nre\core\Request

Current request

#### Type

\nre\core\Request

#

Inherited from
  \nre\core\Controller

## Tags

None found

### $response

    $response : \nre\core\Response

Current response

#### Type

\nre\core\Response

#

Inherited from
  \nre\core\Controller

## Tags

None found

## Methods

### load()

    load(string  $controllerName)

Load the class of a Controller.

#### Parameters

string | $controllerName | Name of the Controller to load

#### Throws

\nre\exceptions\ControllerNotFoundException
\nre\exceptions\ControllerNotValidException

#

static

Inherited from
  \nre\core\Controller

## Tags

None found

### factory()

    factory(string  $controllerName, string  $layoutName, string  $action, string  $agent)

Instantiate a Controller (Factory Pattern).

#### Parameters

string | $controllerName | Name of the Controller to instantiate
string | $layoutName | Name of the current Layout
string | $action | Current Action
string | $agent | Corresponding Agent

#### Throws

\nre\exceptions\DatamodelException
\nre\exceptions\DriverNotFoundException
\nre\exceptions\DriverNotValidException
\nre\exceptions\ModelNotValidException
\nre\exceptions\ModelNotFoundException
\nre\exceptions\ViewNotFoundException

#

static

Inherited from
  \nre\core\Controller

## Tags

None found

### preFilter()

    preFilter(\nre\core\Request  $request, \nre\core\Response  $response)

Prefilter.

#### Parameters

\nre\core\Request | $request | Current request
\nre\core\Response | $response | Current response

#

## Tags

None found

### postFilter()

    postFilter(\nre\core\Request  $request, \nre\core\Response  $response)

Prefilter that is executed after running the Controller.

#### Parameters

\nre\core\Request | $request | Current request
\nre\core\Response | $response | Current response

#

Inherited from
  \nre\core\Controller

## Tags

None found

### run()

    run(\nre\core\Request  $request, \nre\core\Response  $response)

Run the Controller.

This method executes the Action of the Controller defined by the current Request.

#### Parameters

\nre\core\Request | $request | Current request
\nre\core\Response | $response | Current response

#### Throws

\nre\exceptions\ParamsNotValidException
\nre\exceptions\IdNotFoundException
\nre\exceptions\DatamodelException
\nre\exceptions\ActionNotFoundException

#

Inherited from
  \nre\core\Controller

## Tags

None found

### render()

    render(array  $viewData = null) : string

Generate the output.

#### Parameters

array | $viewData | Data to pass to the View

#### Returns

string —

Generated output

#

Inherited from
  \nre\core\Controller

## Tags

None found

### index()

    index()

Action: index.

Create simple text-mail message.

#

## Tags

None found

### __construct()

    __construct(string  $layoutName, string  $action, \nre\core\Agent  $agent)

Construct a new Controller.

#### Parameters

string | $layoutName | Name of the current Layout
string | $action | Current Action
\nre\core\Agent | $agent | Corresponding Agent

#### Throws

\nre\exceptions\DriverNotFoundException
\nre\exceptions\DriverNotValidException
\nre\exceptions\ModelNotValidException
\nre\exceptions\ModelNotFoundException
\nre\exceptions\ViewNotFoundException

#

Inherited from
  \nre\core\Controller

## Tags

None found

### set()

    set(string  $name, mixed  $data)

Set data for the View.

#### Parameters

string | $name | Key
mixed | $data | Value

#

Inherited from
  \nre\core\Controller

## Tags

None found

### redirect()

    redirect(string  $url)

Redirect to the given URL.

#### Parameters

string | $url | Relative URL

#

Inherited from
  \nre\core\Controller

## Tags

None found

### checkModels()

    checkModels(string  $modelName) : boolean

Check if Models of this Controller are loaded and available.

#### Parameters

string | $modelName | Arbitrary number of Models to check

#### Returns

boolean —

All given Models are loaded and available

#

Inherited from
  \nre\core\Controller

## Tags

None found

### getView()

    getView() : \nre\core\View

Get the View of the Controller

#### Returns

\nre\core\View —

View of the Controller

#

Inherited from
  \nre\core\Controller

## Tags

None found

### loadModels()

    loadModels()

Load the Models of this Controller.

#### Throws

\nre\exceptions\DatamodelException
\nre\exceptions\DriverNotFoundException
\nre\exceptions\DriverNotValidException
\nre\exceptions\ModelNotValidException
\nre\exceptions\ModelNotFoundException

#

Inherited from
  \nre\core\Controller

## Tags

None found

### loadView()

    loadView(string  $layoutName, string  $action)

Load the View of this Controller.

#### Parameters

string | $layoutName | Name of the current Layout
string | $action | Current Action

#### Throws

\nre\exceptions\ViewNotFoundException

#

Inherited from
  \nre\core\Controller

## Tags

None found

### getClassName()

    getClassName(string  $controllerName) : string

Determine the classname for the given Controller name.

#### Parameters

string | $controllerName | Controller name to get classname of

#### Returns

string —

Classname for the Controller name

#

static

Inherited from
  \nre\core\Controller

## Tags

None found

### loadComponents()

    loadComponents()

Load the Components of this Controller.

#### Throws

\nre\exceptions\ComponentNotValidException
\nre\exceptions\ComponentNotFoundException

#

Inherited from
  \nre\core\Controller

## Tags

None found

### TextmailController.inc